# $Revision: 1.36 $, $Date: 2002/07/21 15:42:51 $
Summary:	Advanced Intrusion Detection Environment
Summary(pl):	Zaawansowany System Wykrywania Wama (AIDE)
Name:		aide
Version:	0.8
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.cs.tut.fi/pub/src/gnu/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
Source2:	%{name}-0.7-doc.tar.bz2
Source3:	%{name}-check
Source4:	%{name}.sysconfig
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-NLS.patch
URL:		http://www.cs.tut.fi/~rammer/aide.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	findutils
BuildRequires:	bison
BuildRequires:	perl-modules
BuildRequires:	gettext-devel
BuildRequires:	glibc-static
BuildRequires:	libgcrypt-static
BuildRequires:	zlib-static >= 1.1.4
Requires:	crondaemon
Requires:	mailx
Requires:	grep
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir     /etc/%{name}
%define		_pkglibdir	/var/lib/%{name}

%description
AIDE creates a database from the regular expression rules that it
finds from the config file. Once this database is initialized it can
be used to verify the integrity of the files. It has several message
digest algorithms (md5,sha1,rmd160,tiger,haval,etc.) that are used to
check the integrity of the file. More algorithms can be added with
relative ease. All of the usual file attributes can also be checked
for inconsistencies.

%description -l pl
AIDE tworzy baz danych z wyrae regularnych, ktre znajduj si w
pliku konfiguracyjnym. Gdy baza zostanie zainicjowana mona sprawdza
integralno plikw. Uywanych jest kilka algorytmw sprawdzania
spjnoci (md5,sha1,rmd160,tiger,haval,itp.). Inne mog by dodane
stosunkowo atwo. Zwyke atrybuty plikw take mog by sprawdzane.

%prep
%setup -q -b 0 -a 2
%patch0 -p1
%patch1 -p1

%build
rm -f missing po/Makefile*
find . -name "*.c" -type f > po/POTFILES.in
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-config-file=%{_sysconfdir}/aide.conf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_pkglibdir},/etc/cron.daily,/etc/sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/aide

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/aide.conf doc/manual.html aide-*/doc/aide.html
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/aide.conf
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/aide
%attr(750,root,root) %dir %{_pkglibdir}
%attr(755,root,root) %{_bindir}/aide
%attr(700,root,root) %config(noreplace) /etc/cron.daily/aide-check
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aide.spec,v $
Revision 1.36  2002/07/21 15:42:51  kloczek
- relelase 3: use new %doc.

Revision 1.35  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.34  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/04/25 15:42:55  arturs
fixed a small typo

Revision 1.32  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.31  2002/03/13 08:50:21  misiek
- rebuild with fixed zlib; release 2

Revision 1.30  2002/02/27 08:56:55  misiek
- updated to 0.8

Revision 1.29  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 09:31:32  grzegorz
- adaptarized

Revision 1.27  2002/02/13 09:29:47  grzegorz
- reverting last changes

Revision 1.25  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/11 17:36:25  misiek
- use proper source as sysconfig/aide

Revision 1.23  2002/01/11 17:02:09  grzegorz
- added AIDE_MAILTO and AIDE_MOVEDB options to /etc/sysconfig/aide
  AIDE_MAILTO - who gets emails with aide raports
  AIDE_MOVEDB - moving aide.db.new to aide.db if someone wants
- rel 7

Revision 1.22  2002/01/07 22:20:06  grzegorz
- added source4 /etc/sysconfig/aide config file
- rel 6

Revision 1.21  2001/12/09 01:27:17  grzegorz
- added Requires: grep

Revision 1.20  2001/11/23 21:10:21  blues
- cosmetics

Revision 1.19  2001/11/23 15:51:38  zagrodzki
- added autoconf patch (for new autoconf)
- release 5

Revision 1.18  2001/10/27 09:15:01  grzegorz
- added %%verify(not size mtime md5) to %%{_sysconfdir}/aide.conf
- can anybody check why build's fails on %%configure?

Revision 1.17  2001/09/13 10:06:08  filon
- rebuild with optimized zlib-static, release 4

Revision 1.16  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.15  2001/07/16 13:38:59  grzegorz
- removed %%{__*} rpm macros

Revision 1.14  2001/07/01 10:23:06  grzegorz
- more %%__ macros
- Requires: mailx
- rel 3

Revision 1.13  2001/06/27 16:16:50  blues
- translation... (for lazy people... ;)

Revision 1.12  2001/06/27 15:40:20  grzegorz
- cosmetics for proper CHANGELOG display in rpm %%)

Revision 1.11  2001/06/27 15:32:38  grzegorz
- changing Requires: crond to crondaemon
- release 2

Revision 1.10  2001/06/27 15:21:31  grzegorz
- BuildRequires: zlib-static
- removed --without-zlib in %%configure

Revision 1.9  2001/06/27 14:16:45  grzegorz
- added Source2: aide-0.7-doc.tar.bz2
- added my own Source3: aide-check
- removed aide-extra-0.7.tar.bz2

Revision 1.8  2001/06/27 13:47:26  kloczek
- change %ghost to %dir for %%{_pkglibdir}.

Revision 1.7  2001/06/27 13:45:50  kloczek
- added NLS patch with full NL support (also for man pages),
- added glibc-static to BuildRequires,
- added crond to Requires,
- added flex to BuildRequires.

Revision 1.6  2001/06/27 12:21:10  grzegorz
- added Source2
- added more %doc
- added /etc/cron.daily/aide.check

Revision 1.5  2001/06/27 11:36:12  grzegorz
- added BuildRequires: gettext-devel

Revision 1.4  2001/06/27 11:20:38  grzegorz
- added --with-locale to %%configure
- added using %%find_lang macro

Revision 1.3  2001/06/27 10:55:28  grzegorz
- version changed to 0.7
- added cvs patch aide-cvs20010627.patch.gz
- added Source1: aide.conf
- changed Source0
- removed using %%find_lang macro
- added sample aide.conf to %doc
- release 1

Revision 1.2  2001/06/27 09:35:00  kloczek
- spec adaptrerized,
- Group changed to Applications/System,
- added using %%find_lang macro,
- more %doc,
- come cleanups.

Revision 1.1  2001/06/27 08:03:01  grzegorz
- initial SPEC
